# Simulation script for fpga_micro_vga testbench
# ----------------------------------------------

# Create library
vlib work

# Compile files
#  - design:
vcom -explicit  -93 "../rtl/kcpsm3.vhd"
vcom -explicit  -93 "../rtl/gen_interrupt.vhd"
vcom -explicit  -93 "../rtl/switches_leds.vhd"
vcom -explicit  -93 "../rtl/mux_rdata.vhd"
vcom -explicit  -93 "../rtl/reset_adapt.vhd"
#  - testbench:
vcom -explicit  -93 "SRAM256kx16.vhd"
vcom -explicit  -93 "fpga_micro_vga_tb.vhd"

# Invoke the simulator. Resolution 1 ps, avoid nodes disappearing due to optimization.
vsim -t 1ps -novopt -lib work fpga_micro_vga_tb

# Record information about all signals
log -r /*

# Load waveforms
do wave.do

# Run full simulation
run -all


